var Validator = require('jsonschema').Validator,
    fs = require('fs')
    model = './models/schemas/provider.json';


//Schema of a wellformed provider
var model = JSON.parse(fs.readFileSync(model));

module.exports = {

    validateProvider: function (input) {

        /// <summary>Creates a Provider Object</summary>  
        /// <param name="input" type="Object">The input object</param>  
        /// <returns type="String">The Provider as a json</param> 
        var v = new Validator();

        var results = v.validate(input, model);

        if (results.errors.length > 0) {
            throw new Error(results.errors);
        } 
    }
}