'use strict';
var uuidV1 = require('uuid/v1');
var validate = require('../data/schemaValidation.js');

function Provider(input) {

    this._id = uuidV1();
    this._name = input.name;
    this._url = input.url || null;
    this._logo = input.logo || null;
    this._plan = input.plan || null;
};

module.exports = {

    createNewProvider: function (input) {

        /// <summary>Creates a Provider Object</summary>  
        /// <param name="input" type="Object">The input object</param>  
        /// <returns type="String">The Provider as a json</param> 

        //var provider = new Provider(input);

        var validationMessage = validate.validateProvider(input);
    }
}