var should = require('should'),
    request = require('supertest'),
    app = require('../app.js'),
    agent = request.agent(app),
    dataManagement = require('../data/dataManagement.js'),
    Provider = require('../models/Provider.js'),
    ProviderController = require('../controllers/providerController');

// TODO
describe.skip('Provider Crud Test', function () {
    it('Should allow a provider to be posted', function (done) {

        //req.body
        var providerPost = { name: 'New Provider', url: 'newProvider.com' };

        agent .post('/api/Providers') .send(providerPost)
            .end(function (err, res) {
                res.text.should.equal("New Provider Added");
                res.status.should.equal(201);
                done();
            })
    })
    it('Should allow another provider to be posted', function (done) {

        //req.body
        var providerPost = { name: 'Second Provider', url: 'secondProvider.com' };

        agent.post('/api/Providers').send(providerPost)
            .end(function (err, res) {
                res.text.should.equal("New Provider Added");
                res.status.should.equal(201);
                done();
            })
    })
    it('should get all providers', function (done) {

        agent.get('/api/Providers')
             .end(function (err, res) {
                 res.status.should.equal(201);
                 //console.log("GET ALL: " + JSON.stringify(res));
                 var response = JSON.parse(res.text);
                 console.log("GET ALL: " + response);
                 response[0]._name.should.equal('New Provider');
                 done();
        })
    })
    it('should get New Providers', function (done) {

        agent.get('/api/Providers/New Provider')
            .end(function (err, res) {
                res.status.should.equal(200);
                var response = JSON.parse(res.text);
                response[0]._name.should.equal("New Provider");
                response[0]._url.should.equal("newProvider.com");
                done();
            })
    })
    after(function () {
        dataManagement.writeJsonFile('./data/testproviders.json', "");
    })
})
